Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 724212 - <www-apache/mod_xsendfile-1.0_beta1-r1: stabilisation then cleanup (was: stuck on ancient EAPI 4)
Summary: <www-apache/mod_xsendfile-1.0_beta1-r1: stabilisation then cleanup (was: stuc...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Maxim Koltsov
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: EAPI4Removal
  Show dependency tree
 
Reported: 2020-05-19 22:44 UTC by Sam James
Modified: 2020-09-26 03:15 UTC (History)
0 users

See Also:
Package list:
www-apache/mod_xsendfile-1.0_beta1-r1
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-05-19 22:44:14 UTC
Needs port to a newer EAPI.
Comment 1 Sam James archtester gentoo-dev Security 2020-09-07 23:20:06 UTC
Ping. We're getting closer to removal.
Comment 2 Larry the Git Cow gentoo-dev 2020-09-25 22:54:05 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5218b4731468b417aafae866f2c30924c9a337f

commit d5218b4731468b417aafae866f2c30924c9a337f
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-09-25 22:45:11 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-25 22:53:55 +0000

    www-apache/mod_xsendfile: port EAPI 4->6
    
    We can't go to 7 yet because of the apache-module and depend.apache
    eclasses.
    
    Bug: https://bugs.gentoo.org/724212
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Sam James <sam@gentoo.org>

 .../mod_xsendfile-1.0_beta1-r1.ebuild              | 27 ++++++++++++++++++++++
 1 file changed, 27 insertions(+)
Comment 3 Sam James archtester gentoo-dev Security 2020-09-25 22:58:44 UTC
I'll CC arches but we may end up just moving the keywords forward if no complaints.
Comment 4 Larry the Git Cow gentoo-dev 2020-09-26 03:12:00 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33563c5d359facf09fd604bbb4da4ea263706266

commit 33563c5d359facf09fd604bbb4da4ea263706266
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-09-26 03:11:26 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-26 03:11:48 +0000

    www-apache/mod_xsendfile: forward stable kw, cleanup
    
    Installed files are the same.
    
    Closes: https://bugs.gentoo.org/724212
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Sam James <sam@gentoo.org>

 .../mod_xsendfile-1.0_beta1-r1.ebuild              |  2 +-
 .../mod_xsendfile/mod_xsendfile-1.0_beta1.ebuild   | 27 ----------------------
 2 files changed, 1 insertion(+), 28 deletions(-)